html,
body {
  background-color: #000;
  color: #fff;
}

a {
  color: #ff5fff;
}

a:visited {
  color: #1f5621;
}

:root {
  --mdc-theme-primary: #ff00ff;
  --mdc-theme-secondary: #5d5d78;
  --mdc-theme-background: #000;
  --mdc-theme-surface: #212125;
  --mdc-theme-error: #d32f2f;
  --mdc-theme-on-primary: #fff;
  --mdc-theme-on-secondary: #fff;
  --mdc-theme-on-surface: #fff;
  --mdc-theme-on-error: #fff;
  --mdc-theme-text-primary-on-background: white;
  --mdc-theme-text-secondary-on-background: rgba(255, 255, 255, 0.7);
  --mdc-theme-text-hint-on-background: rgba(255, 255, 255, 0.5);
  --mdc-theme-text-disabled-on-background: rgba(255, 255, 255, 0.5);
  --mdc-theme-text-icon-on-background: rgba(255, 255, 255, 0.5);
  --mdc-theme-text-primary-on-light: rgba(0, 0, 0, 0.87);
  --mdc-theme-text-secondary-on-light: rgba(0, 0, 0, 0.54);
  --mdc-theme-text-hint-on-light: rgba(0, 0, 0, 0.38);
  --mdc-theme-text-disabled-on-light: rgba(0, 0, 0, 0.38);
  --mdc-theme-text-icon-on-light: rgba(0, 0, 0, 0.38);
  --mdc-theme-text-primary-on-dark: white;
  --mdc-theme-text-secondary-on-dark: rgba(255, 255, 255, 0.7);
  --mdc-theme-text-hint-on-dark: rgba(255, 255, 255, 0.5);
  --mdc-theme-text-disabled-on-dark: rgba(255, 255, 255, 0.5);
  --mdc-theme-text-icon-on-dark: rgba(255, 255, 255, 0.5);
}

.mdc-theme--primary {
  color: #ff00ff  !important;
  /* @alternate */
  color: var(--mdc-theme-primary, #ff00ff) !important;
}

.mdc-theme--secondary {
  color: #5d5d78  !important;
  /* @alternate */
  color: var(--mdc-theme-secondary, #5d5d78) !important;
}

.mdc-theme--background {
  background-color: #000;
  /* @alternate */
  background-color: var(--mdc-theme-background, #000);
}

.mdc-theme--surface {
  background-color: #212125;
  /* @alternate */
  background-color: var(--mdc-theme-surface, #212125);
}

.mdc-theme--error {
  color: #d32f2f  !important;
  /* @alternate */
  color: var(--mdc-theme-error, #d32f2f) !important;
}

.mdc-theme--on-primary {
  color: #fff  !important;
  /* @alternate */
  color: var(--mdc-theme-on-primary, #fff) !important;
}

.mdc-theme--on-secondary {
  color: #fff  !important;
  /* @alternate */
  color: var(--mdc-theme-on-secondary, #fff) !important;
}

.mdc-theme--on-surface {
  color: #fff  !important;
  /* @alternate */
  color: var(--mdc-theme-on-surface, #fff) !important;
}

.mdc-theme--on-error {
  color: #fff  !important;
  /* @alternate */
  color: var(--mdc-theme-on-error, #fff) !important;
}

.mdc-theme--text-primary-on-background {
  color: white  !important;
  /* @alternate */
  color: var(--mdc-theme-text-primary-on-background, white) !important;
}

.mdc-theme--text-secondary-on-background {
  color: rgba(255, 255, 255, 0.7)  !important;
  /* @alternate */
  color: var(--mdc-theme-text-secondary-on-background, rgba(255, 255, 255, 0.7)) !important;
}

.mdc-theme--text-hint-on-background {
  color: rgba(255, 255, 255, 0.5)  !important;
  /* @alternate */
  color: var(--mdc-theme-text-hint-on-background, rgba(255, 255, 255, 0.5)) !important;
}

.mdc-theme--text-disabled-on-background {
  color: rgba(255, 255, 255, 0.5)  !important;
  /* @alternate */
  color: var(--mdc-theme-text-disabled-on-background, rgba(255, 255, 255, 0.5)) !important;
}

.mdc-theme--text-icon-on-background {
  color: rgba(255, 255, 255, 0.5)  !important;
  /* @alternate */
  color: var(--mdc-theme-text-icon-on-background, rgba(255, 255, 255, 0.5)) !important;
}

.mdc-theme--text-primary-on-light {
  color: rgba(0, 0, 0, 0.87)  !important;
  /* @alternate */
  color: var(--mdc-theme-text-primary-on-light, rgba(0, 0, 0, 0.87)) !important;
}

.mdc-theme--text-secondary-on-light {
  color: rgba(0, 0, 0, 0.54)  !important;
  /* @alternate */
  color: var(--mdc-theme-text-secondary-on-light, rgba(0, 0, 0, 0.54)) !important;
}

.mdc-theme--text-hint-on-light {
  color: rgba(0, 0, 0, 0.38)  !important;
  /* @alternate */
  color: var(--mdc-theme-text-hint-on-light, rgba(0, 0, 0, 0.38)) !important;
}

.mdc-theme--text-disabled-on-light {
  color: rgba(0, 0, 0, 0.38)  !important;
  /* @alternate */
  color: var(--mdc-theme-text-disabled-on-light, rgba(0, 0, 0, 0.38)) !important;
}

.mdc-theme--text-icon-on-light {
  color: rgba(0, 0, 0, 0.38)  !important;
  /* @alternate */
  color: var(--mdc-theme-text-icon-on-light, rgba(0, 0, 0, 0.38)) !important;
}

.mdc-theme--text-primary-on-dark {
  color: white  !important;
  /* @alternate */
  color: var(--mdc-theme-text-primary-on-dark, white) !important;
}

.mdc-theme--text-secondary-on-dark {
  color: rgba(255, 255, 255, 0.7)  !important;
  /* @alternate */
  color: var(--mdc-theme-text-secondary-on-dark, rgba(255, 255, 255, 0.7)) !important;
}

.mdc-theme--text-hint-on-dark {
  color: rgba(255, 255, 255, 0.5)  !important;
  /* @alternate */
  color: var(--mdc-theme-text-hint-on-dark, rgba(255, 255, 255, 0.5)) !important;
}

.mdc-theme--text-disabled-on-dark {
  color: rgba(255, 255, 255, 0.5)  !important;
  /* @alternate */
  color: var(--mdc-theme-text-disabled-on-dark, rgba(255, 255, 255, 0.5)) !important;
}

.mdc-theme--text-icon-on-dark {
  color: rgba(255, 255, 255, 0.5)  !important;
  /* @alternate */
  color: var(--mdc-theme-text-icon-on-dark, rgba(255, 255, 255, 0.5)) !important;
}

.mdc-theme--primary-bg {
  background-color: #ff00ff  !important;
  /* @alternate */
  background-color: var(--mdc-theme-primary, #ff00ff) !important;
}

.mdc-theme--secondary-bg {
  background-color: #5d5d78  !important;
  /* @alternate */
  background-color: var(--mdc-theme-secondary, #5d5d78) !important;
}

.smui-paper {
  padding: 24px 16px;
}
.smui-paper.smui-paper--raised, .smui-paper.smui-paper--unelevated {
  background-color: #212125;
  /* @alternate */
  background-color: var(--mdc-theme-surface, #212125);
  color: #fff;
  /* @alternate */
  color: var(--mdc-theme-on-surface, #fff);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z0 {
  /* @alternate */
  box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 0.2), 0px 0px 0px 0px rgba(0, 0, 0, 0.14), 0px 0px 0px 0px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z1 {
  /* @alternate */
  box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z2 {
  /* @alternate */
  box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z3 {
  /* @alternate */
  box-shadow: 0px 3px 3px -2px rgba(0, 0, 0, 0.2), 0px 3px 4px 0px rgba(0, 0, 0, 0.14), 0px 1px 8px 0px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z4 {
  /* @alternate */
  box-shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.2), 0px 4px 5px 0px rgba(0, 0, 0, 0.14), 0px 1px 10px 0px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z5 {
  /* @alternate */
  box-shadow: 0px 3px 5px -1px rgba(0, 0, 0, 0.2), 0px 5px 8px 0px rgba(0, 0, 0, 0.14), 0px 1px 14px 0px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z6 {
  /* @alternate */
  box-shadow: 0px 3px 5px -1px rgba(0, 0, 0, 0.2), 0px 6px 10px 0px rgba(0, 0, 0, 0.14), 0px 1px 18px 0px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z7 {
  /* @alternate */
  box-shadow: 0px 4px 5px -2px rgba(0, 0, 0, 0.2), 0px 7px 10px 1px rgba(0, 0, 0, 0.14), 0px 2px 16px 1px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z8 {
  /* @alternate */
  box-shadow: 0px 5px 5px -3px rgba(0, 0, 0, 0.2), 0px 8px 10px 1px rgba(0, 0, 0, 0.14), 0px 3px 14px 2px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z9 {
  /* @alternate */
  box-shadow: 0px 5px 6px -3px rgba(0, 0, 0, 0.2), 0px 9px 12px 1px rgba(0, 0, 0, 0.14), 0px 3px 16px 2px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z10 {
  /* @alternate */
  box-shadow: 0px 6px 6px -3px rgba(0, 0, 0, 0.2), 0px 10px 14px 1px rgba(0, 0, 0, 0.14), 0px 4px 18px 3px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z11 {
  /* @alternate */
  box-shadow: 0px 6px 7px -4px rgba(0, 0, 0, 0.2), 0px 11px 15px 1px rgba(0, 0, 0, 0.14), 0px 4px 20px 3px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z12 {
  /* @alternate */
  box-shadow: 0px 7px 8px -4px rgba(0, 0, 0, 0.2), 0px 12px 17px 2px rgba(0, 0, 0, 0.14), 0px 5px 22px 4px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z13 {
  /* @alternate */
  box-shadow: 0px 7px 8px -4px rgba(0, 0, 0, 0.2), 0px 13px 19px 2px rgba(0, 0, 0, 0.14), 0px 5px 24px 4px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z14 {
  /* @alternate */
  box-shadow: 0px 7px 9px -4px rgba(0, 0, 0, 0.2), 0px 14px 21px 2px rgba(0, 0, 0, 0.14), 0px 5px 26px 4px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z15 {
  /* @alternate */
  box-shadow: 0px 8px 9px -5px rgba(0, 0, 0, 0.2), 0px 15px 22px 2px rgba(0, 0, 0, 0.14), 0px 6px 28px 5px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z16 {
  /* @alternate */
  box-shadow: 0px 8px 10px -5px rgba(0, 0, 0, 0.2), 0px 16px 24px 2px rgba(0, 0, 0, 0.14), 0px 6px 30px 5px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z17 {
  /* @alternate */
  box-shadow: 0px 8px 11px -5px rgba(0, 0, 0, 0.2), 0px 17px 26px 2px rgba(0, 0, 0, 0.14), 0px 6px 32px 5px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z18 {
  /* @alternate */
  box-shadow: 0px 9px 11px -5px rgba(0, 0, 0, 0.2), 0px 18px 28px 2px rgba(0, 0, 0, 0.14), 0px 7px 34px 6px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z19 {
  /* @alternate */
  box-shadow: 0px 9px 12px -6px rgba(0, 0, 0, 0.2), 0px 19px 29px 2px rgba(0, 0, 0, 0.14), 0px 7px 36px 6px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z20 {
  /* @alternate */
  box-shadow: 0px 10px 13px -6px rgba(0, 0, 0, 0.2), 0px 20px 31px 3px rgba(0, 0, 0, 0.14), 0px 8px 38px 7px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z21 {
  /* @alternate */
  box-shadow: 0px 10px 13px -6px rgba(0, 0, 0, 0.2), 0px 21px 33px 3px rgba(0, 0, 0, 0.14), 0px 8px 40px 7px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z22 {
  /* @alternate */
  box-shadow: 0px 10px 14px -6px rgba(0, 0, 0, 0.2), 0px 22px 35px 3px rgba(0, 0, 0, 0.14), 0px 8px 42px 7px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z23 {
  /* @alternate */
  box-shadow: 0px 11px 14px -7px rgba(0, 0, 0, 0.2), 0px 23px 36px 3px rgba(0, 0, 0, 0.14), 0px 9px 44px 8px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--raised.smui-paper--elevation-z24 {
  /* @alternate */
  box-shadow: 0px 11px 15px -7px rgba(0, 0, 0, 0.2), 0px 24px 38px 3px rgba(0, 0, 0, 0.14), 0px 9px 46px 8px rgba(0, 0, 0, 0.12);
}
.smui-paper.smui-paper--outlined {
  border-width: 1px;
  border-style: solid;
  border-color: #fff;
  /* @alternate */
  border-color: var(--mdc-theme-on-surface, #fff);
}
.smui-paper.smui-paper--rounded {
  border-radius: 4px;
  /* @alternate */
  border-radius: var(--mdc-shape-medium, 4px);
}
.smui-paper.smui-paper-transition {
  transition: box-shadow 280ms cubic-bezier(0.4, 0, 0.2, 1);
  will-change: box-shadow;
}
.smui-paper .smui-paper__title {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-family: Roboto, sans-serif;
  /* @alternate */
  font-family: var(--mdc-typography-headline5-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));
  font-size: 1.5rem;
  /* @alternate */
  font-size: var(--mdc-typography-headline5-font-size, 1.5rem);
  line-height: 2rem;
  /* @alternate */
  line-height: var(--mdc-typography-headline5-line-height, 2rem);
  font-weight: 400;
  /* @alternate */
  font-weight: var(--mdc-typography-headline5-font-weight, 400);
  letter-spacing: normal;
  /* @alternate */
  letter-spacing: var(--mdc-typography-headline5-letter-spacing, normal);
  text-decoration: inherit;
  /* @alternate */
  text-decoration: var(--mdc-typography-headline5-text-decoration, inherit);
  text-transform: inherit;
  /* @alternate */
  text-transform: var(--mdc-typography-headline5-text-transform, inherit);
  margin-top: 0;
  margin-bottom: 0.4rem;
}
.smui-paper .smui-paper__subtitle {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-family: Roboto, sans-serif;
  /* @alternate */
  font-family: var(--mdc-typography-subtitle1-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));
  font-size: 1rem;
  /* @alternate */
  font-size: var(--mdc-typography-subtitle1-font-size, 1rem);
  line-height: 1.75rem;
  /* @alternate */
  line-height: var(--mdc-typography-subtitle1-line-height, 1.75rem);
  font-weight: 400;
  /* @alternate */
  font-weight: var(--mdc-typography-subtitle1-font-weight, 400);
  letter-spacing: 0.009375em;
  /* @alternate */
  letter-spacing: var(--mdc-typography-subtitle1-letter-spacing, 0.009375em);
  text-decoration: inherit;
  /* @alternate */
  text-decoration: var(--mdc-typography-subtitle1-text-decoration, inherit);
  text-transform: inherit;
  /* @alternate */
  text-transform: var(--mdc-typography-subtitle1-text-transform, inherit);
  margin-top: -0.2rem;
  margin-bottom: 0.4rem;
}
.smui-paper .smui-paper__content {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-family: Roboto, sans-serif;
  /* @alternate */
  font-family: var(--mdc-typography-body1-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));
  font-size: 1rem;
  /* @alternate */
  font-size: var(--mdc-typography-body1-font-size, 1rem);
  line-height: 1.5rem;
  /* @alternate */
  line-height: var(--mdc-typography-body1-line-height, 1.5rem);
  font-weight: 400;
  /* @alternate */
  font-weight: var(--mdc-typography-body1-font-weight, 400);
  letter-spacing: 0.03125em;
  /* @alternate */
  letter-spacing: var(--mdc-typography-body1-letter-spacing, 0.03125em);
  text-decoration: inherit;
  /* @alternate */
  text-decoration: var(--mdc-typography-body1-text-decoration, inherit);
  text-transform: inherit;
  /* @alternate */
  text-transform: var(--mdc-typography-body1-text-transform, inherit);
}

.smui-paper.smui-paper--color-primary.smui-paper--raised, .smui-paper.smui-paper--color-primary.smui-paper--unelevated {
  background-color: #ff00ff;
  /* @alternate */
  background-color: var(--mdc-theme-primary, #ff00ff);
  color: #fff;
  /* @alternate */
  color: var(--mdc-theme-on-primary, #fff);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z0 {
  /* @alternate */
  box-shadow: 0px 0px 0px 0px rgba(255, 0, 255, 0.2), 0px 0px 0px 0px rgba(255, 0, 255, 0.14), 0px 0px 0px 0px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z1 {
  /* @alternate */
  box-shadow: 0px 2px 1px -1px rgba(255, 0, 255, 0.2), 0px 1px 1px 0px rgba(255, 0, 255, 0.14), 0px 1px 3px 0px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z2 {
  /* @alternate */
  box-shadow: 0px 3px 1px -2px rgba(255, 0, 255, 0.2), 0px 2px 2px 0px rgba(255, 0, 255, 0.14), 0px 1px 5px 0px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z3 {
  /* @alternate */
  box-shadow: 0px 3px 3px -2px rgba(255, 0, 255, 0.2), 0px 3px 4px 0px rgba(255, 0, 255, 0.14), 0px 1px 8px 0px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z4 {
  /* @alternate */
  box-shadow: 0px 2px 4px -1px rgba(255, 0, 255, 0.2), 0px 4px 5px 0px rgba(255, 0, 255, 0.14), 0px 1px 10px 0px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z5 {
  /* @alternate */
  box-shadow: 0px 3px 5px -1px rgba(255, 0, 255, 0.2), 0px 5px 8px 0px rgba(255, 0, 255, 0.14), 0px 1px 14px 0px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z6 {
  /* @alternate */
  box-shadow: 0px 3px 5px -1px rgba(255, 0, 255, 0.2), 0px 6px 10px 0px rgba(255, 0, 255, 0.14), 0px 1px 18px 0px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z7 {
  /* @alternate */
  box-shadow: 0px 4px 5px -2px rgba(255, 0, 255, 0.2), 0px 7px 10px 1px rgba(255, 0, 255, 0.14), 0px 2px 16px 1px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z8 {
  /* @alternate */
  box-shadow: 0px 5px 5px -3px rgba(255, 0, 255, 0.2), 0px 8px 10px 1px rgba(255, 0, 255, 0.14), 0px 3px 14px 2px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z9 {
  /* @alternate */
  box-shadow: 0px 5px 6px -3px rgba(255, 0, 255, 0.2), 0px 9px 12px 1px rgba(255, 0, 255, 0.14), 0px 3px 16px 2px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z10 {
  /* @alternate */
  box-shadow: 0px 6px 6px -3px rgba(255, 0, 255, 0.2), 0px 10px 14px 1px rgba(255, 0, 255, 0.14), 0px 4px 18px 3px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z11 {
  /* @alternate */
  box-shadow: 0px 6px 7px -4px rgba(255, 0, 255, 0.2), 0px 11px 15px 1px rgba(255, 0, 255, 0.14), 0px 4px 20px 3px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z12 {
  /* @alternate */
  box-shadow: 0px 7px 8px -4px rgba(255, 0, 255, 0.2), 0px 12px 17px 2px rgba(255, 0, 255, 0.14), 0px 5px 22px 4px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z13 {
  /* @alternate */
  box-shadow: 0px 7px 8px -4px rgba(255, 0, 255, 0.2), 0px 13px 19px 2px rgba(255, 0, 255, 0.14), 0px 5px 24px 4px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z14 {
  /* @alternate */
  box-shadow: 0px 7px 9px -4px rgba(255, 0, 255, 0.2), 0px 14px 21px 2px rgba(255, 0, 255, 0.14), 0px 5px 26px 4px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z15 {
  /* @alternate */
  box-shadow: 0px 8px 9px -5px rgba(255, 0, 255, 0.2), 0px 15px 22px 2px rgba(255, 0, 255, 0.14), 0px 6px 28px 5px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z16 {
  /* @alternate */
  box-shadow: 0px 8px 10px -5px rgba(255, 0, 255, 0.2), 0px 16px 24px 2px rgba(255, 0, 255, 0.14), 0px 6px 30px 5px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z17 {
  /* @alternate */
  box-shadow: 0px 8px 11px -5px rgba(255, 0, 255, 0.2), 0px 17px 26px 2px rgba(255, 0, 255, 0.14), 0px 6px 32px 5px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z18 {
  /* @alternate */
  box-shadow: 0px 9px 11px -5px rgba(255, 0, 255, 0.2), 0px 18px 28px 2px rgba(255, 0, 255, 0.14), 0px 7px 34px 6px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z19 {
  /* @alternate */
  box-shadow: 0px 9px 12px -6px rgba(255, 0, 255, 0.2), 0px 19px 29px 2px rgba(255, 0, 255, 0.14), 0px 7px 36px 6px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z20 {
  /* @alternate */
  box-shadow: 0px 10px 13px -6px rgba(255, 0, 255, 0.2), 0px 20px 31px 3px rgba(255, 0, 255, 0.14), 0px 8px 38px 7px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z21 {
  /* @alternate */
  box-shadow: 0px 10px 13px -6px rgba(255, 0, 255, 0.2), 0px 21px 33px 3px rgba(255, 0, 255, 0.14), 0px 8px 40px 7px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z22 {
  /* @alternate */
  box-shadow: 0px 10px 14px -6px rgba(255, 0, 255, 0.2), 0px 22px 35px 3px rgba(255, 0, 255, 0.14), 0px 8px 42px 7px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z23 {
  /* @alternate */
  box-shadow: 0px 11px 14px -7px rgba(255, 0, 255, 0.2), 0px 23px 36px 3px rgba(255, 0, 255, 0.14), 0px 9px 44px 8px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--raised.smui-paper--elevation-z24 {
  /* @alternate */
  box-shadow: 0px 11px 15px -7px rgba(255, 0, 255, 0.2), 0px 24px 38px 3px rgba(255, 0, 255, 0.14), 0px 9px 46px 8px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-primary.smui-paper--outlined {
  border-width: 1px;
  border-style: solid;
  border-color: #ff00ff;
  /* @alternate */
  border-color: var(--mdc-theme-primary, #ff00ff);
}

.smui-paper.smui-paper--color-secondary.smui-paper--raised, .smui-paper.smui-paper--color-secondary.smui-paper--unelevated {
  background-color: #5d5d78;
  /* @alternate */
  background-color: var(--mdc-theme-secondary, #5d5d78);
  color: #fff;
  /* @alternate */
  color: var(--mdc-theme-on-secondary, #fff);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z0 {
  /* @alternate */
  box-shadow: 0px 0px 0px 0px rgba(93, 93, 120, 0.2), 0px 0px 0px 0px rgba(93, 93, 120, 0.14), 0px 0px 0px 0px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z1 {
  /* @alternate */
  box-shadow: 0px 2px 1px -1px rgba(93, 93, 120, 0.2), 0px 1px 1px 0px rgba(93, 93, 120, 0.14), 0px 1px 3px 0px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z2 {
  /* @alternate */
  box-shadow: 0px 3px 1px -2px rgba(93, 93, 120, 0.2), 0px 2px 2px 0px rgba(93, 93, 120, 0.14), 0px 1px 5px 0px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z3 {
  /* @alternate */
  box-shadow: 0px 3px 3px -2px rgba(93, 93, 120, 0.2), 0px 3px 4px 0px rgba(93, 93, 120, 0.14), 0px 1px 8px 0px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z4 {
  /* @alternate */
  box-shadow: 0px 2px 4px -1px rgba(93, 93, 120, 0.2), 0px 4px 5px 0px rgba(93, 93, 120, 0.14), 0px 1px 10px 0px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z5 {
  /* @alternate */
  box-shadow: 0px 3px 5px -1px rgba(93, 93, 120, 0.2), 0px 5px 8px 0px rgba(93, 93, 120, 0.14), 0px 1px 14px 0px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z6 {
  /* @alternate */
  box-shadow: 0px 3px 5px -1px rgba(93, 93, 120, 0.2), 0px 6px 10px 0px rgba(93, 93, 120, 0.14), 0px 1px 18px 0px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z7 {
  /* @alternate */
  box-shadow: 0px 4px 5px -2px rgba(93, 93, 120, 0.2), 0px 7px 10px 1px rgba(93, 93, 120, 0.14), 0px 2px 16px 1px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z8 {
  /* @alternate */
  box-shadow: 0px 5px 5px -3px rgba(93, 93, 120, 0.2), 0px 8px 10px 1px rgba(93, 93, 120, 0.14), 0px 3px 14px 2px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z9 {
  /* @alternate */
  box-shadow: 0px 5px 6px -3px rgba(93, 93, 120, 0.2), 0px 9px 12px 1px rgba(93, 93, 120, 0.14), 0px 3px 16px 2px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z10 {
  /* @alternate */
  box-shadow: 0px 6px 6px -3px rgba(93, 93, 120, 0.2), 0px 10px 14px 1px rgba(93, 93, 120, 0.14), 0px 4px 18px 3px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z11 {
  /* @alternate */
  box-shadow: 0px 6px 7px -4px rgba(93, 93, 120, 0.2), 0px 11px 15px 1px rgba(93, 93, 120, 0.14), 0px 4px 20px 3px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z12 {
  /* @alternate */
  box-shadow: 0px 7px 8px -4px rgba(93, 93, 120, 0.2), 0px 12px 17px 2px rgba(93, 93, 120, 0.14), 0px 5px 22px 4px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z13 {
  /* @alternate */
  box-shadow: 0px 7px 8px -4px rgba(93, 93, 120, 0.2), 0px 13px 19px 2px rgba(93, 93, 120, 0.14), 0px 5px 24px 4px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z14 {
  /* @alternate */
  box-shadow: 0px 7px 9px -4px rgba(93, 93, 120, 0.2), 0px 14px 21px 2px rgba(93, 93, 120, 0.14), 0px 5px 26px 4px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z15 {
  /* @alternate */
  box-shadow: 0px 8px 9px -5px rgba(93, 93, 120, 0.2), 0px 15px 22px 2px rgba(93, 93, 120, 0.14), 0px 6px 28px 5px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z16 {
  /* @alternate */
  box-shadow: 0px 8px 10px -5px rgba(93, 93, 120, 0.2), 0px 16px 24px 2px rgba(93, 93, 120, 0.14), 0px 6px 30px 5px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z17 {
  /* @alternate */
  box-shadow: 0px 8px 11px -5px rgba(93, 93, 120, 0.2), 0px 17px 26px 2px rgba(93, 93, 120, 0.14), 0px 6px 32px 5px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z18 {
  /* @alternate */
  box-shadow: 0px 9px 11px -5px rgba(93, 93, 120, 0.2), 0px 18px 28px 2px rgba(93, 93, 120, 0.14), 0px 7px 34px 6px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z19 {
  /* @alternate */
  box-shadow: 0px 9px 12px -6px rgba(93, 93, 120, 0.2), 0px 19px 29px 2px rgba(93, 93, 120, 0.14), 0px 7px 36px 6px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z20 {
  /* @alternate */
  box-shadow: 0px 10px 13px -6px rgba(93, 93, 120, 0.2), 0px 20px 31px 3px rgba(93, 93, 120, 0.14), 0px 8px 38px 7px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z21 {
  /* @alternate */
  box-shadow: 0px 10px 13px -6px rgba(93, 93, 120, 0.2), 0px 21px 33px 3px rgba(93, 93, 120, 0.14), 0px 8px 40px 7px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z22 {
  /* @alternate */
  box-shadow: 0px 10px 14px -6px rgba(93, 93, 120, 0.2), 0px 22px 35px 3px rgba(93, 93, 120, 0.14), 0px 8px 42px 7px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z23 {
  /* @alternate */
  box-shadow: 0px 11px 14px -7px rgba(93, 93, 120, 0.2), 0px 23px 36px 3px rgba(93, 93, 120, 0.14), 0px 9px 44px 8px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--raised.smui-paper--elevation-z24 {
  /* @alternate */
  box-shadow: 0px 11px 15px -7px rgba(93, 93, 120, 0.2), 0px 24px 38px 3px rgba(93, 93, 120, 0.14), 0px 9px 46px 8px rgba(93, 93, 120, 0.12);
}
.smui-paper.smui-paper--color-secondary.smui-paper--outlined {
  border-width: 1px;
  border-style: solid;
  border-color: #5d5d78;
  /* @alternate */
  border-color: var(--mdc-theme-secondary, #5d5d78);
}

.smui-badge {
  min-height: 24px;
  min-width: 16px;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-family: Roboto, sans-serif;
  /* @alternate */
  font-family: var(--mdc-typography-body1-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));
  font-size: 1rem;
  /* @alternate */
  font-size: var(--mdc-typography-body1-font-size, 1rem);
  line-height: 1.5rem;
  /* @alternate */
  line-height: var(--mdc-typography-body1-line-height, 1.5rem);
  font-weight: 400;
  /* @alternate */
  font-weight: var(--mdc-typography-body1-font-weight, 400);
  letter-spacing: 0.03125em;
  /* @alternate */
  letter-spacing: var(--mdc-typography-body1-letter-spacing, 0.03125em);
  text-decoration: inherit;
  /* @alternate */
  text-decoration: var(--mdc-typography-body1-text-decoration, inherit);
  text-transform: inherit;
  /* @alternate */
  text-transform: var(--mdc-typography-body1-text-transform, inherit);
  position: absolute;
  font-size: 13.3333333333px;
  display: flex;
  justify-content: center;
  align-content: center;
  z-index: 2;
  pointer-events: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  padding-left: 4px;
  padding-right: 4px;
}
.smui-badge.smui-badge--rounded {
  border-radius: 24px;
}
.smui-badge.smui-badge--align-top-start.smui-badge--position-inset, .smui-badge.smui-badge--align-top-start.smui-badge--position-middle, .smui-badge.smui-badge--align-top-middle.smui-badge--position-inset, .smui-badge.smui-badge--align-top-middle.smui-badge--position-middle, .smui-badge.smui-badge--align-top-end.smui-badge--position-inset, .smui-badge.smui-badge--align-top-end.smui-badge--position-middle {
  top: 0;
}
.smui-badge.smui-badge--align-top-start.smui-badge--position-outset, .smui-badge.smui-badge--align-top-middle.smui-badge--position-outset, .smui-badge.smui-badge--align-top-end.smui-badge--position-outset {
  bottom: 100%;
}
.smui-badge.smui-badge--align-bottom-start.smui-badge--position-inset, .smui-badge.smui-badge--align-bottom-start.smui-badge--position-middle, .smui-badge.smui-badge--align-bottom-middle.smui-badge--position-inset, .smui-badge.smui-badge--align-bottom-middle.smui-badge--position-middle, .smui-badge.smui-badge--align-bottom-end.smui-badge--position-inset, .smui-badge.smui-badge--align-bottom-end.smui-badge--position-middle {
  bottom: 0;
}
.smui-badge.smui-badge--align-bottom-start.smui-badge--position-outset, .smui-badge.smui-badge--align-bottom-middle.smui-badge--position-outset, .smui-badge.smui-badge--align-bottom-end.smui-badge--position-outset {
  top: 100%;
}
.smui-badge.smui-badge--align-top-end.smui-badge--position-inset, .smui-badge.smui-badge--align-middle-end.smui-badge--position-inset, .smui-badge.smui-badge--align-bottom-end.smui-badge--position-inset {
  /* @noflip */ /*rtl:ignore*/
  left: initial;
  /* @noflip */ /*rtl:ignore*/
  right: 0;
}
[dir=rtl] .smui-badge.smui-badge--align-top-end.smui-badge--position-inset, [dir=rtl] .smui-badge.smui-badge--align-middle-end.smui-badge--position-inset, [dir=rtl] .smui-badge.smui-badge--align-bottom-end.smui-badge--position-inset, .smui-badge.smui-badge--align-top-end.smui-badge--position-inset[dir=rtl], .smui-badge.smui-badge--align-middle-end.smui-badge--position-inset[dir=rtl], .smui-badge.smui-badge--align-bottom-end.smui-badge--position-inset[dir=rtl] {
  /*rtl:begin:ignore*/
  /* @noflip */ /*rtl:ignore*/
  left: 0;
  /* @noflip */ /*rtl:ignore*/
  right: initial;
  /*rtl:end:ignore*/
}

.smui-badge.smui-badge--align-top-end.smui-badge--position-middle, .smui-badge.smui-badge--align-middle-end.smui-badge--position-middle, .smui-badge.smui-badge--align-bottom-end.smui-badge--position-middle {
  /* @noflip */ /*rtl:ignore*/
  left: initial;
  /* @noflip */ /*rtl:ignore*/
  right: 0;
}
[dir=rtl] .smui-badge.smui-badge--align-top-end.smui-badge--position-middle, [dir=rtl] .smui-badge.smui-badge--align-middle-end.smui-badge--position-middle, [dir=rtl] .smui-badge.smui-badge--align-bottom-end.smui-badge--position-middle, .smui-badge.smui-badge--align-top-end.smui-badge--position-middle[dir=rtl], .smui-badge.smui-badge--align-middle-end.smui-badge--position-middle[dir=rtl], .smui-badge.smui-badge--align-bottom-end.smui-badge--position-middle[dir=rtl] {
  /*rtl:begin:ignore*/
  /* @noflip */ /*rtl:ignore*/
  left: 0;
  /* @noflip */ /*rtl:ignore*/
  right: initial;
  /*rtl:end:ignore*/
}

.smui-badge.smui-badge--align-top-end.smui-badge--position-outset, .smui-badge.smui-badge--align-middle-end.smui-badge--position-outset, .smui-badge.smui-badge--align-bottom-end.smui-badge--position-outset {
  /* @noflip */ /*rtl:ignore*/
  left: 100%;
  /* @noflip */ /*rtl:ignore*/
  right: initial;
}
[dir=rtl] .smui-badge.smui-badge--align-top-end.smui-badge--position-outset, [dir=rtl] .smui-badge.smui-badge--align-middle-end.smui-badge--position-outset, [dir=rtl] .smui-badge.smui-badge--align-bottom-end.smui-badge--position-outset, .smui-badge.smui-badge--align-top-end.smui-badge--position-outset[dir=rtl], .smui-badge.smui-badge--align-middle-end.smui-badge--position-outset[dir=rtl], .smui-badge.smui-badge--align-bottom-end.smui-badge--position-outset[dir=rtl] {
  /*rtl:begin:ignore*/
  /* @noflip */ /*rtl:ignore*/
  left: initial;
  /* @noflip */ /*rtl:ignore*/
  right: 100%;
  /*rtl:end:ignore*/
}

.smui-badge.smui-badge--align-top-start.smui-badge--position-inset, .smui-badge.smui-badge--align-middle-start.smui-badge--position-inset, .smui-badge.smui-badge--align-bottom-start.smui-badge--position-inset {
  /* @noflip */ /*rtl:ignore*/
  left: 0;
  /* @noflip */ /*rtl:ignore*/
  right: initial;
}
[dir=rtl] .smui-badge.smui-badge--align-top-start.smui-badge--position-inset, [dir=rtl] .smui-badge.smui-badge--align-middle-start.smui-badge--position-inset, [dir=rtl] .smui-badge.smui-badge--align-bottom-start.smui-badge--position-inset, .smui-badge.smui-badge--align-top-start.smui-badge--position-inset[dir=rtl], .smui-badge.smui-badge--align-middle-start.smui-badge--position-inset[dir=rtl], .smui-badge.smui-badge--align-bottom-start.smui-badge--position-inset[dir=rtl] {
  /*rtl:begin:ignore*/
  /* @noflip */ /*rtl:ignore*/
  left: initial;
  /* @noflip */ /*rtl:ignore*/
  right: 0;
  /*rtl:end:ignore*/
}

.smui-badge.smui-badge--align-top-start.smui-badge--position-middle, .smui-badge.smui-badge--align-middle-start.smui-badge--position-middle, .smui-badge.smui-badge--align-bottom-start.smui-badge--position-middle {
  /* @noflip */ /*rtl:ignore*/
  left: 0;
  /* @noflip */ /*rtl:ignore*/
  right: initial;
}
[dir=rtl] .smui-badge.smui-badge--align-top-start.smui-badge--position-middle, [dir=rtl] .smui-badge.smui-badge--align-middle-start.smui-badge--position-middle, [dir=rtl] .smui-badge.smui-badge--align-bottom-start.smui-badge--position-middle, .smui-badge.smui-badge--align-top-start.smui-badge--position-middle[dir=rtl], .smui-badge.smui-badge--align-middle-start.smui-badge--position-middle[dir=rtl], .smui-badge.smui-badge--align-bottom-start.smui-badge--position-middle[dir=rtl] {
  /*rtl:begin:ignore*/
  /* @noflip */ /*rtl:ignore*/
  left: initial;
  /* @noflip */ /*rtl:ignore*/
  right: 0;
  /*rtl:end:ignore*/
}

.smui-badge.smui-badge--align-top-start.smui-badge--position-outset, .smui-badge.smui-badge--align-middle-start.smui-badge--position-outset, .smui-badge.smui-badge--align-bottom-start.smui-badge--position-outset {
  /* @noflip */ /*rtl:ignore*/
  left: initial;
  /* @noflip */ /*rtl:ignore*/
  right: 100%;
}
[dir=rtl] .smui-badge.smui-badge--align-top-start.smui-badge--position-outset, [dir=rtl] .smui-badge.smui-badge--align-middle-start.smui-badge--position-outset, [dir=rtl] .smui-badge.smui-badge--align-bottom-start.smui-badge--position-outset, .smui-badge.smui-badge--align-top-start.smui-badge--position-outset[dir=rtl], .smui-badge.smui-badge--align-middle-start.smui-badge--position-outset[dir=rtl], .smui-badge.smui-badge--align-bottom-start.smui-badge--position-outset[dir=rtl] {
  /*rtl:begin:ignore*/
  /* @noflip */ /*rtl:ignore*/
  left: 100%;
  /* @noflip */ /*rtl:ignore*/
  right: initial;
  /*rtl:end:ignore*/
}

.smui-badge.smui-badge--align-top-start.smui-badge--position-middle {
  transform-origin: center;
  transform: translateX(-50%) translateY(-50%);
}
[dir=rtl] .smui-badge.smui-badge--align-top-start.smui-badge--position-middle, .smui-badge.smui-badge--align-top-start.smui-badge--position-middle[dir=rtl] {
  /*rtl:begin:ignore*/
  transform: translateX(50%) translateY(-50%);
  /*rtl:end:ignore*/
}

.smui-badge.smui-badge--align-top-middle.smui-badge--position-middle {
  transform-origin: center;
  transform: translateY(-50%);
}
[dir=rtl] .smui-badge.smui-badge--align-top-middle.smui-badge--position-middle, .smui-badge.smui-badge--align-top-middle.smui-badge--position-middle[dir=rtl] {
  /*rtl:begin:ignore*/
  transform: translateY(-50%);
  /*rtl:end:ignore*/
}

.smui-badge.smui-badge--align-top-end.smui-badge--position-middle {
  transform-origin: center;
  transform: translateX(50%) translateY(-50%);
}
[dir=rtl] .smui-badge.smui-badge--align-top-end.smui-badge--position-middle, .smui-badge.smui-badge--align-top-end.smui-badge--position-middle[dir=rtl] {
  /*rtl:begin:ignore*/
  transform: translateX(-50%) translateY(-50%);
  /*rtl:end:ignore*/
}

.smui-badge.smui-badge--align-middle-start.smui-badge--position-middle {
  transform-origin: center;
  transform: translateX(-50%);
}
[dir=rtl] .smui-badge.smui-badge--align-middle-start.smui-badge--position-middle, .smui-badge.smui-badge--align-middle-start.smui-badge--position-middle[dir=rtl] {
  /*rtl:begin:ignore*/
  transform: translateX(50%);
  /*rtl:end:ignore*/
}

.smui-badge.smui-badge--align-middle-end.smui-badge--position-middle {
  transform-origin: center;
  transform: translateX(50%);
}
[dir=rtl] .smui-badge.smui-badge--align-middle-end.smui-badge--position-middle, .smui-badge.smui-badge--align-middle-end.smui-badge--position-middle[dir=rtl] {
  /*rtl:begin:ignore*/
  transform: translateX(-50%);
  /*rtl:end:ignore*/
}

.smui-badge.smui-badge--align-bottom-start.smui-badge--position-middle {
  transform-origin: center;
  transform: translateX(-50%) translateY(50%);
}
[dir=rtl] .smui-badge.smui-badge--align-bottom-start.smui-badge--position-middle, .smui-badge.smui-badge--align-bottom-start.smui-badge--position-middle[dir=rtl] {
  /*rtl:begin:ignore*/
  transform: translateX(50%) translateY(50%);
  /*rtl:end:ignore*/
}

.smui-badge.smui-badge--align-bottom-middle.smui-badge--position-middle {
  transform-origin: center;
  transform: translateY(50%);
}
[dir=rtl] .smui-badge.smui-badge--align-bottom-middle.smui-badge--position-middle, .smui-badge.smui-badge--align-bottom-middle.smui-badge--position-middle[dir=rtl] {
  /*rtl:begin:ignore*/
  transform: translateY(50%);
  /*rtl:end:ignore*/
}

.smui-badge.smui-badge--align-bottom-end.smui-badge--position-middle {
  transform-origin: center;
  transform: translateX(50%) translateY(50%);
}
[dir=rtl] .smui-badge.smui-badge--align-bottom-end.smui-badge--position-middle, .smui-badge.smui-badge--align-bottom-end.smui-badge--position-middle[dir=rtl] {
  /*rtl:begin:ignore*/
  transform: translateX(-50%) translateY(50%);
  /*rtl:end:ignore*/
}

.smui-badge.smui-badge--color-primary {
  background-color: #ff00ff;
  /* @alternate */
  background-color: var(--mdc-theme-primary, #ff00ff);
  color: #fff;
  /* @alternate */
  color: var(--mdc-theme-on-primary, #fff);
}

.smui-badge.smui-badge--color-secondary {
  background-color: #5d5d78;
  /* @alternate */
  background-color: var(--mdc-theme-secondary, #5d5d78);
  color: #fff;
  /* @alternate */
  color: var(--mdc-theme-on-secondary, #fff);
}

.mdc-top-app-bar.demo-top-app-bar {
  background-color: #212125;
  /* @alternate */
  background-color: var(--mdc-theme-surface, #212125);
  color: #fff;
  /* @alternate */
  color: var(--mdc-theme-on-surface, #fff);
  /* @alternate */
  box-shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.2), 0px 4px 5px 0px rgba(0, 0, 0, 0.14), 0px 1px 10px 0px rgba(0, 0, 0, 0.12);
  z-index: 7;
}
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__action-item,
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__navigation-icon {
  color: #fff;
  /* @alternate */
  color: var(--mdc-theme-on-surface, #fff);
}
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__action-item::before, .mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__action-item::after,
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__navigation-icon::before,
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__navigation-icon::after {
  background-color: #fff;
  /* @alternate */
  background-color: var(--mdc-ripple-color, var(--mdc-theme-on-surface, #fff));
}
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__action-item:hover::before, .mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__action-item.mdc-ripple-surface--hover::before,
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__navigation-icon:hover::before,
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__navigation-icon.mdc-ripple-surface--hover::before {
  opacity: 0.08;
  /* @alternate */
  opacity: var(--mdc-ripple-hover-opacity, 0.08);
}
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__action-item.mdc-ripple-upgraded--background-focused::before, .mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__action-item:not(.mdc-ripple-upgraded):focus::before,
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__navigation-icon.mdc-ripple-upgraded--background-focused::before,
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__navigation-icon:not(.mdc-ripple-upgraded):focus::before {
  transition-duration: 75ms;
  opacity: 0.24;
  /* @alternate */
  opacity: var(--mdc-ripple-focus-opacity, 0.24);
}
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__action-item:not(.mdc-ripple-upgraded)::after,
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__navigation-icon:not(.mdc-ripple-upgraded)::after {
  transition: opacity 150ms linear;
}
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__action-item:not(.mdc-ripple-upgraded):active::after,
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__navigation-icon:not(.mdc-ripple-upgraded):active::after {
  transition-duration: 75ms;
  opacity: 0.24;
  /* @alternate */
  opacity: var(--mdc-ripple-press-opacity, 0.24);
}
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__action-item.mdc-ripple-upgraded,
.mdc-top-app-bar.demo-top-app-bar .mdc-top-app-bar__navigation-icon.mdc-ripple-upgraded {
  --mdc-ripple-fg-opacity: var(--mdc-ripple-press-opacity, 0.24);
}

.smui-badge.smui-badge--color-custom-green {
  background-color: #43a047;
  color: white;
}

.my-image-list-masonry {
  column-count: 2;
  column-gap: 16px;
  max-width: 680px;
}
.my-image-list-masonry .mdc-image-list__item {
  margin-bottom: 16px;
}
.my-image-list-masonry .mdc-image-list__image {
  border-radius: 10px;
}
.my-image-list-masonry.mdc-image-list--with-text-protection .mdc-image-list__supporting {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
}

@media (max-width: 299px) {
  .my-image-list-masonry {
    column-count: 2;
    column-gap: 16px;
  }
  .my-image-list-masonry .mdc-image-list__item {
    margin-bottom: 16px;
  }
}
body,
#smui-app {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.toc-item {
  padding: 6px;
  font-size: xx-large;
}

.drawer-container {
  flex-grow: 1;
  height: 0;
  display: flex;
}

.demo-drawer,
.demo-main-content {
  overflow: auto;
  height: 100%;
}

.demo-drawer.demo-drawer-adjust {
  padding-bottom: 64px;
}

.demo-app-content {
  flex: auto;
  position: relative;
  width: 0;
  flex-grow: 1;
  display: flex;
  flex-direction: column;
}

.demo-main-content {
  overflow: auto;
  display: flex;
  flex-direction: column;
  position: relative;
}

.demo-main-content > section {
  padding: 48px;
  width: 100%;
  box-sizing: border-box;
}

.demo-main-content > section:after {
  height: 32px;
  display: block;
  content: " ";
}

.demo-spaced {
  margin-bottom: 2.5em;
}

.highlight {
  background-color: #282b2e;
  color: #e0e2e4;
  padding: 1em !important;
  border-radius: 5px;
}

.status {
  max-width: 100%;
  font-size: 0.9em;
  word-break: break-word;
  white-space: normal;
  margin-bottom: 0;
}

.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised, .smui-paper.smui-paper--color-svelte-pink.smui-paper--unelevated {
  background-color: #f0f;
  color: #fff;
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z0 {
  /* @alternate */
  box-shadow: 0px 0px 0px 0px rgba(255, 0, 255, 0.2), 0px 0px 0px 0px rgba(255, 0, 255, 0.14), 0px 0px 0px 0px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z1 {
  /* @alternate */
  box-shadow: 0px 2px 1px -1px rgba(255, 0, 255, 0.2), 0px 1px 1px 0px rgba(255, 0, 255, 0.14), 0px 1px 3px 0px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z2 {
  /* @alternate */
  box-shadow: 0px 3px 1px -2px rgba(255, 0, 255, 0.2), 0px 2px 2px 0px rgba(255, 0, 255, 0.14), 0px 1px 5px 0px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z3 {
  /* @alternate */
  box-shadow: 0px 3px 3px -2px rgba(255, 0, 255, 0.2), 0px 3px 4px 0px rgba(255, 0, 255, 0.14), 0px 1px 8px 0px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z4 {
  /* @alternate */
  box-shadow: 0px 2px 4px -1px rgba(255, 0, 255, 0.2), 0px 4px 5px 0px rgba(255, 0, 255, 0.14), 0px 1px 10px 0px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z5 {
  /* @alternate */
  box-shadow: 0px 3px 5px -1px rgba(255, 0, 255, 0.2), 0px 5px 8px 0px rgba(255, 0, 255, 0.14), 0px 1px 14px 0px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z6 {
  /* @alternate */
  box-shadow: 0px 3px 5px -1px rgba(255, 0, 255, 0.2), 0px 6px 10px 0px rgba(255, 0, 255, 0.14), 0px 1px 18px 0px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z7 {
  /* @alternate */
  box-shadow: 0px 4px 5px -2px rgba(255, 0, 255, 0.2), 0px 7px 10px 1px rgba(255, 0, 255, 0.14), 0px 2px 16px 1px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z8 {
  /* @alternate */
  box-shadow: 0px 5px 5px -3px rgba(255, 0, 255, 0.2), 0px 8px 10px 1px rgba(255, 0, 255, 0.14), 0px 3px 14px 2px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z9 {
  /* @alternate */
  box-shadow: 0px 5px 6px -3px rgba(255, 0, 255, 0.2), 0px 9px 12px 1px rgba(255, 0, 255, 0.14), 0px 3px 16px 2px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z10 {
  /* @alternate */
  box-shadow: 0px 6px 6px -3px rgba(255, 0, 255, 0.2), 0px 10px 14px 1px rgba(255, 0, 255, 0.14), 0px 4px 18px 3px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z11 {
  /* @alternate */
  box-shadow: 0px 6px 7px -4px rgba(255, 0, 255, 0.2), 0px 11px 15px 1px rgba(255, 0, 255, 0.14), 0px 4px 20px 3px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z12 {
  /* @alternate */
  box-shadow: 0px 7px 8px -4px rgba(255, 0, 255, 0.2), 0px 12px 17px 2px rgba(255, 0, 255, 0.14), 0px 5px 22px 4px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z13 {
  /* @alternate */
  box-shadow: 0px 7px 8px -4px rgba(255, 0, 255, 0.2), 0px 13px 19px 2px rgba(255, 0, 255, 0.14), 0px 5px 24px 4px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z14 {
  /* @alternate */
  box-shadow: 0px 7px 9px -4px rgba(255, 0, 255, 0.2), 0px 14px 21px 2px rgba(255, 0, 255, 0.14), 0px 5px 26px 4px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z15 {
  /* @alternate */
  box-shadow: 0px 8px 9px -5px rgba(255, 0, 255, 0.2), 0px 15px 22px 2px rgba(255, 0, 255, 0.14), 0px 6px 28px 5px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z16 {
  /* @alternate */
  box-shadow: 0px 8px 10px -5px rgba(255, 0, 255, 0.2), 0px 16px 24px 2px rgba(255, 0, 255, 0.14), 0px 6px 30px 5px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z17 {
  /* @alternate */
  box-shadow: 0px 8px 11px -5px rgba(255, 0, 255, 0.2), 0px 17px 26px 2px rgba(255, 0, 255, 0.14), 0px 6px 32px 5px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z18 {
  /* @alternate */
  box-shadow: 0px 9px 11px -5px rgba(255, 0, 255, 0.2), 0px 18px 28px 2px rgba(255, 0, 255, 0.14), 0px 7px 34px 6px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z19 {
  /* @alternate */
  box-shadow: 0px 9px 12px -6px rgba(255, 0, 255, 0.2), 0px 19px 29px 2px rgba(255, 0, 255, 0.14), 0px 7px 36px 6px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z20 {
  /* @alternate */
  box-shadow: 0px 10px 13px -6px rgba(255, 0, 255, 0.2), 0px 20px 31px 3px rgba(255, 0, 255, 0.14), 0px 8px 38px 7px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z21 {
  /* @alternate */
  box-shadow: 0px 10px 13px -6px rgba(255, 0, 255, 0.2), 0px 21px 33px 3px rgba(255, 0, 255, 0.14), 0px 8px 40px 7px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z22 {
  /* @alternate */
  box-shadow: 0px 10px 14px -6px rgba(255, 0, 255, 0.2), 0px 22px 35px 3px rgba(255, 0, 255, 0.14), 0px 8px 42px 7px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z23 {
  /* @alternate */
  box-shadow: 0px 11px 14px -7px rgba(255, 0, 255, 0.2), 0px 23px 36px 3px rgba(255, 0, 255, 0.14), 0px 9px 44px 8px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--raised.smui-paper--elevation-z24 {
  /* @alternate */
  box-shadow: 0px 11px 15px -7px rgba(255, 0, 255, 0.2), 0px 24px 38px 3px rgba(255, 0, 255, 0.14), 0px 9px 46px 8px rgba(255, 0, 255, 0.12);
}
.smui-paper.smui-paper--color-svelte-pink.smui-paper--outlined {
  border-width: 1px;
  border-style: solid;
  border-color: #f0f;
}

@media (max-width: 460px) {
  .demo-main-content > section {
    padding: 16px;
  }
}
code:not([class]) {
  background-color: #282b2e;
  color: #e0e2e4;
  border-radius: 4px;
  padding: 0 3px;
}

:global(body) {
  overflow: hidden;
}

section.markdown h1 {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-family: Roboto, sans-serif;
  /* @alternate */
  font-family: var(--mdc-typography-headline2-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));
  font-size: 3.75rem;
  /* @alternate */
  font-size: var(--mdc-typography-headline2-font-size, 3.75rem);
  line-height: 3.75rem;
  /* @alternate */
  line-height: var(--mdc-typography-headline2-line-height, 3.75rem);
  font-weight: 300;
  /* @alternate */
  font-weight: var(--mdc-typography-headline2-font-weight, 300);
  letter-spacing: -0.0083333333em;
  /* @alternate */
  letter-spacing: var(--mdc-typography-headline2-letter-spacing, -0.0083333333em);
  text-decoration: inherit;
  /* @alternate */
  text-decoration: var(--mdc-typography-headline2-text-decoration, inherit);
  text-transform: inherit;
  /* @alternate */
  text-transform: var(--mdc-typography-headline2-text-transform, inherit);
}
section.markdown h2 {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-family: Roboto, sans-serif;
  /* @alternate */
  font-family: var(--mdc-typography-headline3-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));
  font-size: 3rem;
  /* @alternate */
  font-size: var(--mdc-typography-headline3-font-size, 3rem);
  line-height: 3.125rem;
  /* @alternate */
  line-height: var(--mdc-typography-headline3-line-height, 3.125rem);
  font-weight: 400;
  /* @alternate */
  font-weight: var(--mdc-typography-headline3-font-weight, 400);
  letter-spacing: normal;
  /* @alternate */
  letter-spacing: var(--mdc-typography-headline3-letter-spacing, normal);
  text-decoration: inherit;
  /* @alternate */
  text-decoration: var(--mdc-typography-headline3-text-decoration, inherit);
  text-transform: inherit;
  /* @alternate */
  text-transform: var(--mdc-typography-headline3-text-transform, inherit);
}
section.markdown h3 {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-family: Roboto, sans-serif;
  /* @alternate */
  font-family: var(--mdc-typography-headline4-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));
  font-size: 2.125rem;
  /* @alternate */
  font-size: var(--mdc-typography-headline4-font-size, 2.125rem);
  line-height: 2.5rem;
  /* @alternate */
  line-height: var(--mdc-typography-headline4-line-height, 2.5rem);
  font-weight: 400;
  /* @alternate */
  font-weight: var(--mdc-typography-headline4-font-weight, 400);
  letter-spacing: 0.0073529412em;
  /* @alternate */
  letter-spacing: var(--mdc-typography-headline4-letter-spacing, 0.0073529412em);
  text-decoration: inherit;
  /* @alternate */
  text-decoration: var(--mdc-typography-headline4-text-decoration, inherit);
  text-transform: inherit;
  /* @alternate */
  text-transform: var(--mdc-typography-headline4-text-transform, inherit);
}
section.markdown h4 {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-family: Roboto, sans-serif;
  /* @alternate */
  font-family: var(--mdc-typography-headline5-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));
  font-size: 1.5rem;
  /* @alternate */
  font-size: var(--mdc-typography-headline5-font-size, 1.5rem);
  line-height: 2rem;
  /* @alternate */
  line-height: var(--mdc-typography-headline5-line-height, 2rem);
  font-weight: 400;
  /* @alternate */
  font-weight: var(--mdc-typography-headline5-font-weight, 400);
  letter-spacing: normal;
  /* @alternate */
  letter-spacing: var(--mdc-typography-headline5-letter-spacing, normal);
  text-decoration: inherit;
  /* @alternate */
  text-decoration: var(--mdc-typography-headline5-text-decoration, inherit);
  text-transform: inherit;
  /* @alternate */
  text-transform: var(--mdc-typography-headline5-text-transform, inherit);
}
section.markdown h5 {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-family: Roboto, sans-serif;
  /* @alternate */
  font-family: var(--mdc-typography-headline6-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));
  font-size: 1.25rem;
  /* @alternate */
  font-size: var(--mdc-typography-headline6-font-size, 1.25rem);
  line-height: 2rem;
  /* @alternate */
  line-height: var(--mdc-typography-headline6-line-height, 2rem);
  font-weight: 500;
  /* @alternate */
  font-weight: var(--mdc-typography-headline6-font-weight, 500);
  letter-spacing: 0.0125em;
  /* @alternate */
  letter-spacing: var(--mdc-typography-headline6-letter-spacing, 0.0125em);
  text-decoration: inherit;
  /* @alternate */
  text-decoration: var(--mdc-typography-headline6-text-decoration, inherit);
  text-transform: inherit;
  /* @alternate */
  text-transform: var(--mdc-typography-headline6-text-transform, inherit);
}
section.markdown pre {
  padding-left: 2em;
}

.mdc-button {
  text-transform: none;
}
